HanMacWrdJGraphInternal::Table Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
HanMacWrdJGraphInternal::Table Struct Referencefinal

Internal: the table of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::Table:

## Public Member Functions
| Table (HanMacWrdJGraph &parser)
| constructor More...
| ~Table () final
| destructor More...
void | updateCells ()
| update all cells using the formats list More...
bool | sendText (long id, long cPos) const
| send a text zone More...
Public Member Functions inherited from MWAWTable
| MWAWTable (uint32_t givenData=BoxBit)
| the constructor More...
virtual | ~MWAWTable ()
| the destructor More...
void | add (std::shared_ptr< MWAWCell > cell)
| add a new cells More...
bool | mergeBorders () const
| returns true if we need to merge borders More...
bool | setMergeBorders (bool val)
| sets the merge borders' value More...
void | setAlignment (Alignment align, float leftMargin=0, float rightMargin=0)
| defines the current alignment More...
int | numCells () const
| returns the number of cell More...
std::vector< float > const & | getRowsSize () const
| returns the row size if defined (in point) More...
void | setRowsSize (std::vector< float > const &rSize)
| define the row size (in point) More...
std::vector< float > const & | getColsSize () const
| returns the columns size if defined (in point) More...
void | setColsSize (std::vector< float > const &cSize)
| define the columns size (in point) More...
std::shared_ptr< MWAWCell > | get (int id)
| returns the i^th cell More...
bool | updateTable ()
| try to build the table structures More...
bool | hasExtraLines ()
| returns true if the table has extralines More...
bool | sendTable (MWAWListenerPtr listener, bool inFrame=true)
| try to send the table More...
bool | sendAsText (MWAWListenerPtr listener)
| try to send the table as basic text More...
void | addTablePropertiesTo (librevenge::RVNGPropertyList &propList) const
| adds the table properties to propList More...

## Public Attributes
HanMacWrdJGraph * | m_parser
| the graph parser More...
int | m_rows
| the number of row More...
int | m_columns
| the number of columns More...
int | m_height
| the table height More...
long | m_textFileId
| the text file id More...
std::vector< CellFormat > | m_formatsList
| a list of cell format More...

## Private Member Functions
| Table (Table const &orig)=delete
Table & | operator= (Table const &orig)=delete

## Additional Inherited Members
Public Types inherited from MWAWTable
enum | DataSet { CellPositionBit =1, BoxBit =2, SizeBit =4, TableDimBit =8, TablePosToCellBit =0x10 }
| an enum used to indicate what the list of entries which are filled More...
enum | Alignment { Paragraph, Left, Center, Right }
| an enum do define the table alignment. More...
Protected Member Functions inherited from MWAWTable
int | getCellIdPos (int col, int row) const
| convert a cell position in a posToCellId's position More...
bool | buildStructures ()
| create the correspondance list, ... More...
bool | buildDims ()
| compute the rows and the cells size More...
bool | buildPosToCellId ()
| a function which fills to posToCellId vector using the cell position More...
void | sendExtraLines (MWAWListenerPtr listener) const
| send extra line More...
Protected Attributes inherited from MWAWTable
uint32_t | m_givenData
| a int to indicate what data are given in entries More...
uint32_t | m_setData
| a int to indicate what data are been reconstruct More...
bool | m_mergeBorders
| do we need to merge cell borders ( default yes) More...
std::vector< std::shared_ptr< MWAWCell > > | m_cellsList
| the list of cells More...
size_t | m_numRows
| the number of rows ( set by buildPosToCellId ) More...
size_t | m_numCols
| the number of cols ( set by buildPosToCellId ) More...
std::vector< float > | m_rowsSize
| the final row size (in point) More...
std::vector< float > | m_colsSize
| the final col size (in point) More...
Alignment | m_alignment
| the table alignment More...
float | m_leftMargin
| the left margin in point More...
float | m_rightMargin
| the right margin in point More...
std::vector< int > | m_posToCellId
| a vector used to store an id corresponding to each cell More...
bool | m_hasExtraLines
| true if we need to send extra lines More...

## Detailed Description

Internal: the table of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

## ◆ Table() [1/2]

HanMacWrdJGraphInternal::Table::Table | ( | HanMacWrdJGraph & | parser | ) |
| inlineexplicit

constructor

## ◆ ~Table()

HanMacWrdJGraphInternal::Table::~Table | ( |  | ) |
| final

destructor

## ◆ Table() [2/2]

HanMacWrdJGraphInternal::Table::Table | ( | Table const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ operator=()

Table& HanMacWrdJGraphInternal::Table::operator= | ( | Table const & | orig | ) |
| privatedelete

## ◆ sendText()

bool HanMacWrdJGraphInternal::Table::sendText | ( | long | id,
|  | long | cPos
| ) |  | const
| inline

send a text zone

Referenced by HanMacWrdJGraphInternal::TableCell::sendContent(), and sendText().

## ◆ updateCells()

void HanMacWrdJGraphInternal::Table::updateCells | ( |  | ) |

update all cells using the formats list

## Member Data Documentation

## ◆ m_columns

int HanMacWrdJGraphInternal::Table::m_columns

the number of columns

## ◆ m_formatsList

std::vector<CellFormat> HanMacWrdJGraphInternal::Table::m_formatsList

a list of cell format

Referenced by HanMacWrdJGraph::readTableFormatsList().

## ◆ m_height

int HanMacWrdJGraphInternal::Table::m_height

the table height

## ◆ m_parser

HanMacWrdJGraph* HanMacWrdJGraphInternal::Table::m_parser

the graph parser

## ◆ m_rows

int HanMacWrdJGraphInternal::Table::m_rows

the number of row

## ◆ m_textFileId

long HanMacWrdJGraphInternal::Table::m_textFileId

the text file id

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx